> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a new contact detail with the provided information.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json post /contact-details
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /contact-details:
    post:
      tags:
        - ContactDetail
      summary: Creates a new contact detail with the provided information.
      requestBody:
        description: The contact detail data to create.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateContactDetailRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/CreateContactDetailRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CreateContactDetailRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ContactDetail'
            application/json:
              schema:
                $ref: '#/components/schemas/ContactDetail'
            text/json:
              schema:
                $ref: '#/components/schemas/ContactDetail'
        '201':
          description: Contact detail created successfully.
        '400':
          description: Error occurred while creating the contact detail.
components:
  schemas:
    CreateContactDetailRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        contactNumber:
          type: string
          nullable: true
        contactEmail:
          type: string
          nullable: true
        contactBetweenStart:
          type: string
          format: date-span
        contactBetweenEnd:
          type: string
          format: date-span
        priority:
          type: integer
          format: int32
      additionalProperties: false
    ContactDetail:
      type: object
      properties:
        id:
          type: integer
          format: int32
        portalId:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        contactNumber:
          type: string
          nullable: true
        contactEmail:
          type: string
          nullable: true
        contactBetweenStart:
          type: string
          format: date-span
        contactBetweenEnd:
          type: string
          format: date-span
        priority:
          type: integer
          format: int32
        isActive:
          type: boolean
        createdAt:
          type: string
          format: date-time
        contactWhenFinalOutpost:
          type: boolean
      additionalProperties: false

````